Package com.google.javascript.jscomp

# Class PerformanceTracker.Stats

java.lang.Object
com.google.javascript.jscomp.PerformanceTracker.Stats

Enclosing class:
  `PerformanceTracker`

public static class PerformanceTracker.Stats extends Object
For each pass, keep track of the runtime, the size changes, etc

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`changes`
`int`
`diff`
`int`
`gzDiff`
`int`
`gzSize`
`final boolean`
`isOneTime`
`final String`
`pass`
`int`
`runs`
`long`
`runtime`
`int`
`size`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pass

public final String pass

### isOneTime

public final boolean isOneTime

### runtime

public long runtime

### runs

public int runs

### changes

public int changes

### diff

public int diff

### gzDiff

public int gzDiff

### size

public int size

### gzSize

public int gzSize